%define pkg_name        DBD-AnyData
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 1.n0i.3

Summary:       DBI access to XML, CSV and other formats
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JZ/JZUCKER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(AnyData) >= 0.07}
%{!?_without_test:BuildRequires: perl(DBD::File) >= 0.22}
%{!?_without_test:BuildRequires: perl(DBI) >= 1}
%{!?_without_test:BuildRequires: perl(SQL::Statement) >= 1}


%description
The DBD::AnyData module provides a DBI/SQL interface to data in many
formats and from many sources. Currently supported formats include general
format flatfiles (CSV, Fixed Length, Tab or Pipe "delimited", etc.),
specific formats (passwd files, web logs, etc.), a variety of other kinds
of formats (XML, Mp3, HTML tables), and, for some operations, any DBI
accessible database. The number of supported formats will continue to grow
rapidly since there is an open API making it easy for any author to create
additional format parsers which can be plugged in to AnyData.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.3
- version 0.09

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
